<testsuites>
  <!--Report is generated by Rally 3.0.0 at 2020-04-10T01:46:02.686976-->
  <testsuite errors="0" failures="0" id="88135c9b-0709-4d92-85da-208414274345" skipped="2" tests="40" time="13.423" timestamp="2020-04-10T01:45:34">
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="f5bdf482-1ad3-4aad-b52e-8fe7c1361104" name="test_add_protocol_to_identity_provider" time="0.649" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="04fdf262-af91-4a68-a1cf-794c6d2f2eeb" name="test_add_protocol_to_identity_provider_unknown_mapping" time="0.586" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="1fc5d104-faf5-4809-8c89-29b5c1666a96" name="test_mapping_rule_update" time="0.273" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="4ca48c01-b6da-4759-acb6-007e15ad712a" name="test_mapping_rules_create" time="0.086" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="341dac45-ce1f-4f15-afdc-1f9a7d7d7c40" name="test_mapping_rules_create_without_mandatory_attributes_fails" time="0.106" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="8db213e3-1db0-48c6-863c-7a3ed23577ec" name="test_mapping_rules_get" time="0.181" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="bb80b242-2a6a-4d29-b45f-4035be574a6e" name="test_mapping_rules_list" time="0.444" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="6fae0971-5acb-4559-ba25-96f1fd7e5385" name="test_service_provider_create" time="0.191" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="f77ed1c0-c428-44a7-9364-e8e4362c360a" name="test_service_provider_create_with_bad_attributes" time="0.084" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="8550b419-f212-4e34-a8fa-7ff64f8a7fd3" name="test_service_provider_create_with_enabled_true" time="0.087" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="0e319a14-1548-474e-a406-273c6b1c1f2d" name="test_service_provider_create_with_relay_state_prefix" time="0.135" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="d9d7454c-50b7-4966-aedb-b9d520a41409" name="test_service_provider_create_without_mandatory_attributes" time="0.050" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="7df78c7a-9265-4b4f-9630-193b7f07d9eb" name="test_service_provider_get" time="0.242" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="9237cea0-fbeb-4d64-8347-46c567e1d78f" name="test_service_provider_list" time="0.500" timestamp="2020-04-10T01:45:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="613d073b-0db7-41aa-b4df-5a1848cde0b3" name="test_get_protocol_from_identity_provider" time="0.646" timestamp="2020-04-10T01:45:41+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="09450910-b816-4150-8513-a2fd4628a0c3" name="test_identity_provider_create" time="0.474" timestamp="2020-04-10T01:45:41+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="bb68653f-fbba-4f20-ac1b-7b318a557366" name="test_service_provider_update" time="0.170" timestamp="2020-04-10T01:45:41+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="91ce1183-1a15-4598-ae5f-85cfa98a1c77" name="test_service_provider_update_with_bad_attributes_fails" time="0.217" timestamp="2020-04-10T01:45:41+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="7553579b-9a9e-45dd-9ada-70d906b516c0" name="test_service_providers_in_token" time="0.520" timestamp="2020-04-10T01:45:41+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="f430a337-545d-455e-bb6c-cb0fdf4be5c1" name="test_identity_provider_create_with_enabled_true" time="0.431" timestamp="2020-04-10T01:45:42+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="238e6163-d600-4f59-9982-c621f057221d" name="test_identity_provider_create_with_remote_ids" time="0.529" timestamp="2020-04-10T01:45:42+0000" />
    <testcase classname="keystone_tempest_plugin.tests.scenario.test_federated_authentication.TestSaml2EcpFederatedAuthentication" name="test_request_scoped_token" time="0.000" timestamp="2020-04-10T01:45:42+0000">
      <skipped>Federated Identity feature not enabled</skipped>
    </testcase>
    <testcase classname="keystone_tempest_plugin.tests.scenario.test_federated_authentication.TestSaml2EcpFederatedAuthentication" name="test_request_unscoped_token" time="0.000" timestamp="2020-04-10T01:45:42+0000">
      <skipped>Federated Identity feature not enabled</skipped>
    </testcase>
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="8a7817ad-27f8-436b-9cbe-46aa20989beb" name="test_identity_provider_get" time="0.624" timestamp="2020-04-10T01:45:43+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="cbfe5de9-c58a-4810-950c-2acdf985879d" name="test_identity_provider_list" time="1.507" timestamp="2020-04-10T01:45:44+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="36a0d9f0-9517-4139-85d0-f78d905aece5" name="test_identity_provider_update" time="0.571" timestamp="2020-04-10T01:45:45+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="6e6501ac-edae-4dc2-bb68-7a2b58602383" name="test_list_protocols_from_identity_provider" time="0.887" timestamp="2020-04-10T01:45:46+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="680d36df-d6b9-4695-be29-6fc2065c5dde" name="test_update_mapping_from_identity_provider_protocol" time="0.869" timestamp="2020-04-10T01:45:46+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="c73311e7-c207-4c11-998f-532a91f1b0d1" name="test_update_protocol_from_identity_provider_unknown_mapping" time="0.876" timestamp="2020-04-10T01:45:47+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="607aecc4-a623-4566-a3a5-bb0e2a6fc9c5" name="test_authorize_request_token" time="0.354" timestamp="2020-04-10T01:45:48+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="7d488fc9-342c-4c12-b6b8-b158e2183925" name="test_create_access_token" time="0.566" timestamp="2020-04-10T01:45:49+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="23d2fe8d-fc8d-4bef-8aaa-289400732c3f" name="test_create_and_show_consumer" time="0.130" timestamp="2020-04-10T01:45:49+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="a17d60e4-7cb5-4e06-9e16-b044f3ee6d94" name="test_create_request_token" time="0.177" timestamp="2020-04-10T01:45:49+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="3820f3d0-9b06-4d15-8f01-c7dd4eea30a2" name="test_delete_consumer" time="0.303" timestamp="2020-04-10T01:45:50+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="5929055d-7c0f-4661-a9a5-15c4b95082dc" name="test_list_access_tokens" time="0.923" timestamp="2020-04-10T01:45:50+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="6da689b1-39a0-44ee-9624-445159119c57" name="test_list_consumers" time="0.328" timestamp="2020-04-10T01:45:51+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="0075f413-e249-42e5-9bc9-d6e3aecf6cbc" name="test_list_roles_for_access_token" time="0.492" timestamp="2020-04-10T01:45:51+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="1b802896-91a0-4cbb-a8b9-860c7087fad8" name="test_revoke_access_token" time="0.582" timestamp="2020-04-10T01:45:52+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="28aee994-86b1-4596-a652-572f558045e7" name="test_show_role_for_access_token" time="0.481" timestamp="2020-04-10T01:45:52+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_oauth1_tokens.OAUTH1TokensTest" id="5a03fa78-3a03-449b-a04c-ef9de80eb6c4" name="test_update_consumer" time="0.198" timestamp="2020-04-10T01:45:53+0000" />
  </testsuite>
</testsuites>
